Library IEEE;
USE IEEE.std_logic_1164.all;
USE IEEE.std_logic_unsigned.all;

entity Bits_to_Bus is 
	port( 	
			clk			: in std_logic;
			nreset		: in std_logic;
			
			d0			: in std_logic;
			d1			: in std_logic;
			d2			: in std_logic;
			d3			: in std_logic;
			d4			: in std_logic;
			d5			: in std_logic;
			d6			: in std_logic;
			d7			: in std_logic;
			
			d8			: in std_logic;
			d9			: in std_logic;
			d10			: in std_logic;
			d11			: in std_logic;
			d12			: in std_logic;
			d13			: in std_logic;
			d14			: in std_logic;
			d15			: in std_logic;

			dout		: out std_logic_vector(15 downto 0)
		);
	end Bits_to_Bus;
	
architecture main of Bits_to_Bus is	
             
begin
	DATA_BUFFER: 
	process(clk, nreset, d0, d1, d2, d3, d4, d5, d6, d7, 
						 d8, d9, d10, d12, d13, d14, d15)
	begin
		if   (nreset = '0') then dout <= (others => '0');
		elsif rising_edge(clk) then
			dout(15 downto 0) <= d15&d14&d13&d12&d11&d10&d9&d8&d7&d6&d5&d4&d3&d2&d1&d0;
		end if;
	end process;
end;